#include <bits/stdc++.h>

using namespace std;

#define zuri8 ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

int main() {
    zuri8;
    double tmp, suma = 0, resenje = 0;
    int n;
    cin >> n;
    vector<pair<double, double>> niz(n);
    for(int i = 0; i < n; i++) {
        cin >> tmp;
        suma += tmp;
        niz[i].second = tmp;
        cin >> tmp;
        niz[i].first = tmp;
    }
    sort(niz.begin(), niz.end());
    for(int i = 0; i < n; i++) {
        resenje = max(resenje, suma * niz[i].first / 100);
        suma -= niz[i].second;
    }
    cout << fixed << resenje << endl;
    return 0;
}